import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  // primary: Color(0xFF00629E),
  primary: Color(0xffffb40b),
  onPrimary: Color(0xff000000),
  primaryContainer: Color(0xfffdf6d4),
  // onPrimaryContainer: Color(0xFF001D34),
  onPrimaryContainer: Color(0xffff870d),
  secondary: Color(0xff017dc7),
  onSecondary: Color(0xFFFFFFFF),
  secondaryContainer: Color(0xFFD6E4F7),
  onSecondaryContainer: Color(0xff005d94),
  tertiary: Color(0xFF695779),
  onTertiary: Color(0xFFFFFFFF),
  tertiaryContainer: Color(0xFFF0DBFF),
  onTertiaryContainer: Color(0xFF241532),
  error: Color(0xffff6203),
  errorContainer: Color(0xFFFFDAD6),
  onError: Color(0xFFFFFFFF),
  onErrorContainer: Color(0xFF410002),
  background: Color(0xffF0F0F0),
  onBackground: Color(0xFF1A1C1E),
  surface: Color(0xFFFCFCFF),
  onSurface: Color(0xFF1A1C1E),
  surfaceVariant: Color(0xFFDEE3EB),
  onSurfaceVariant: Color(0xFF42474E),
  outline: Color(0xFF73777F),
  onInverseSurface: Color(0xFFF1F0F4),
  inverseSurface: Color(0xFF2F3033),
  inversePrimary: Color(0xFF9ACBFF),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF017dc7),
  outlineVariant: Color(0xFFC2C7CF),
  scrim: Color(0xFF000000),
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFF9ACBFF),
  onPrimary: Color(0xFF003355),
  primaryContainer: Color(0xFF004A78),
  onPrimaryContainer: Color(0xFFCFE5FF),
  secondary: Color(0xFFBAC8DA),
  onSecondary: Color(0xFF243240),
  secondaryContainer: Color(0xFF3A4857),
  onSecondaryContainer: Color(0xFFD6E4F7),
  tertiary: Color(0xFFD4BEE6),
  onTertiary: Color(0xFF392A49),
  tertiaryContainer: Color(0xFF514060),
  onTertiaryContainer: Color(0xFFF0DBFF),
  error: Color(0xFFFFB4AB),
  errorContainer: Color(0xFF93000A),
  onError: Color(0xFF690005),
  onErrorContainer: Color(0xFFFFDAD6),
  background: Color(0xFF1A1C1E),
  onBackground: Color(0xFFE2E2E5),
  surface: Color(0xFF1A1C1E),
  onSurface: Color(0xFFE2E2E5),
  surfaceVariant: Color(0xFF42474E),
  onSurfaceVariant: Color(0xFFC2C7CF),
  outline: Color(0xFF8C9199),
  onInverseSurface: Color(0xFF1A1C1E),
  inverseSurface: Color(0xFFE2E2E5),
  inversePrimary: Color(0xFF00629E),
  shadow: Color(0xFF000000),
  surfaceTint: Color(0xFF9ACBFF),
  outlineVariant: Color(0xFF42474E),
  scrim: Color(0xFF000000),
);
